Bug 803749 - Struts 1 Showcase application's JSF integration does not work on EAP6
Struts 1 Showcase application's JSF integration does not work on EAP6
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Struts (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 2.4.0
Assigned To: Rodney Russ
Emil Cervenan
http://jira.jboss.org/jira/browse/JBW...
:
Depends On: JBWFK-90 803747
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 11:10 EDT by Karel Piwko
Modified: 2013-07-18 10:46 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The JSF integration in the Struts 1 Showcase application is not functional with JBoss Enterprise Application Platform 6. To work around this issue, override the default JSF implementation by adding the following configuration into the web.xml file of the application: <context-param> <param-name>org.jboss.jbossfaces.WAR_BUNDLES_JSF_IMPL</param-name> <param-value>true</param-value> </context-param>
Story Points: ---
Clone Of: 803747
Environment:
EAP 6.0.0.Beta1 Struts 1.3.10
Last Closed: 2013-07-18 10:46:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-63 Major New Struts 1 Showcase application's JSF integration does not work on EAP6 2013-11-21 17:10:07 EST

  None (edit)
Comment 1 Karel Piwko 2012-03-15 11:11:25 EDT
Both Struts 1 and Struts 2 sample applications use MyFaces, so the workaround is exactly the same.
Comment 3 Karel Piwko 2012-06-04 06:12:42 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Users wishing to use Struts 1 Showcase on JBoss Enterprise Application Platform 6 have to override default JSF implementation.

This can be done by adding following configuration fragment into web.xml configuration file of Struts 1 Showcase example:

<context-param>
   <param-name>org.jboss.jbossfaces.WAR_BUNDLES_JSF_IMPL</param-name>
   <param-value>true</param-value>
</context-param>
Comment 4 Rebecca Newton 2012-06-19 00:51:10 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,6 +1,6 @@
-Users wishing to use Struts 1 Showcase on JBoss Enterprise Application Platform 6 have to override default JSF implementation.
+The JSF integration in the Struts 2 Showcase application does not work with JBoss Enterprise Application Platform 6. The workaround for this issue is to override default JSF implementation.
 
-This can be done by adding following configuration fragment into web.xml configuration file of Struts 1 Showcase example:
+Do this by adding following configuration fragment into web.xml configuration file of your Struts 1 Showcase example:
 
 <context-param>
    <param-name>org.jboss.jbossfaces.WAR_BUNDLES_JSF_IMPL</param-name>
Comment 5 Karel Piwko 2012-06-21 10:30:07 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1,4 @@
-The JSF integration in the Struts 2 Showcase application does not work with JBoss Enterprise Application Platform 6. The workaround for this issue is to override default JSF implementation.
+The JSF integration in the Struts 1 Showcase application does not work with JBoss Enterprise Application Platform 6. The workaround for this issue is to override default JSF implementation.
 
 Do this by adding following configuration fragment into web.xml configuration file of your Struts 1 Showcase example:
Comment 6 Isaac Rooskov 2012-08-08 22:56:16 EDT
WFK 2 has gone GA and I am wondering if this issue can now be closed?

Thanks, 

Isaac
Comment 7 Karel Piwko 2012-09-24 10:00:59 EDT
Release not text will still be valid in 2.1.0, bumping version.
Comment 8 Marek Novotny 2012-11-10 07:48:00 EST
fixing status as this is not fixed and nothing is delivered, it should be ASSIGNED.
Comment 10 Karel Piwko 2013-02-22 09:17:03 EST
@Oliver, please verify if that's still valid with EAP 6.0.1.
Comment 11 Oliver Kišš 2013-03-01 13:27:18 EST
This is still valid with EAP 6.0.1
Comment 13 Petr Penicka 2013-03-20 11:58:52 EDT
Keeping as a known issue in RN, will properly document in the next release.
Comment 15 Emil Cervenan 2013-04-12 06:46:55 EDT
Release note verified.
Comment 17 Marek Schmidt 2013-07-18 10:46:08 EDT
Migrated to JIRA as https://issues.jboss.org/browse/WFK2-63

Note You need to log in before you can comment on or make changes to this bug.